# Usage

Check the environment variables for SecretSquirrels to hide/change, and then run : 

```
docker-compose pull
docker-compose up -d
```

# Purpose

Create containers for Gitea, Mariadb, and phpMyAdmin. Only enabled for localhost access, no external.

# Traffic Mapping for External Access

If external access to this resource is desired, please configure HAProxy, HTTPD, or nginx with the following : 

| External Port | Local Port | Protocol | URI Mapping | Description |
| ------------- | ---------- | -------- | ----------- | ----------- |
| 80            | XXX        | HTTP     | / redirect to port 443 | Force all unencrypted traffic to become TLS encrypted |
| 80            | XXX        | HTTP     | /.well-known to disk | Enable LetsEncrypt to insert TLS certificates |
| 443           | 3000       | HTTP     | / to port 3000 | This directs all gitea traffic to gitea |
| 443           | 5000       | HTTP     | /phpMyAdmin to port 5000 | This directs all phpMyAdmin traffic to phpMyAdmin |
| 4000          | 4000       | TCP      | N/A         | Enable this to allow SSH access |

